Updates the name, description, and metadata of a memory store.
Prerequisites
Endpoint and authentication configured. For details, see Overview and authentication.
Endpoint
POST /memory_stores/{memory_store_id}
Path parameters
| Field | Required | Type | Description |
|---|---|---|---|
memory_store_id | Yes | string | Memory store ID |
Request body
| Field | Required | Type | Description |
|---|---|---|---|
name | No | string | New name, 1-255 characters |
description | No | string | New purpose description |
metadata | No | object | New custom key-value pairs for business metadata |
Request example
Response example
Response fields
| Field | Type | Description |
|---|---|---|
id | string | |
type | string | |
name | string | |
description | string | |
metadata | object | |
archived_at | string | null | |
created_at | string | |
updated_at | string |
Error codes
| HTTP status | Error code | Description |
|---|---|---|
| 400 | invalid_request_error | Invalid parameters, path, limit, or pagination cursor |
| 401 | InvalidApiKey | API key missing, invalid, or expired |
| 403 | permission_error | Insufficient identity or resource access permissions |
| 404 | not_found_error | Resource does not exist or does not belong to the current workspace |
| 409 | memory_path_conflict_error etc. | Path conflict, conditional update conflict, or writing to an archived store |